%define major		1
%define libname		%mklibname va %{major}
%define develname	%mklibname va -d

Name:		libva
Version:	1.7.3
Release:	%mkrel 3
Summary:	Video Acceleration (VA) API for Linux
Group:		System/Libraries
License:	MIT
URL:		http://www.freedesktop.org/wiki/Software/vaapi
Source0:	http://www.freedesktop.org/software/vaapi/releases/libva/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)

%description
Libva is a library providing the VA API video acceleration API.

# the examples are currently the only headless encoders for VAAPI
# (z) please do not remove them
%package -n	vaapi-encoders
Summary:	VA-API test encoders
Group:		Video/Utilities
Obsoletes:	jpegenc < 1.7.3-3
Provides:	jpegenc = %{version}-%{release}
Obsoletes:	mpeg2enc < 1.7.3-3
Provides:	mpeg2enc = %{version}-%{release}

%description -n	vaapi-encoders
This package provides the example encoders binaries to use VA API.

%package -n	vainfo
Summary:	VA-API information tool
Group:		Video/Utilities

%description -n	vainfo
Libva is a library providing the VA API video acceleration API.
This packages provides the vainfo tool showing VA-API information.

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Libva is a library providing the VA API video acceleration API.

%package -n	%{develname}
Summary:	Development headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libva is a library providing the VA API video acceleration API. This
package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-dummy-driver \
	--disable-static \
	--enable-glx
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete

# (cg) Remove some test programs that are not needed for install
rm -f %{buildroot}%{_bindir}/{h264encode,putsurface*,mpeg2vldemo}

%files -n vaapi-encoders
%{_bindir}/avcenc
%{_bindir}/jpegenc
%{_bindir}/loadjpeg
%{_bindir}/mpeg2vaenc

%files -n vainfo
%{_bindir}/vainfo

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}
%{_libdir}/%{name}-egl.so.%{major}{,.*}
%{_libdir}/%{name}-drm.so.%{major}{,.*}
%{_libdir}/%{name}-glx.so.%{major}{,.*}
%{_libdir}/%{name}-tpi.so.%{major}{,.*}
%{_libdir}/%{name}-wayland.so.%{major}{,.*}
%{_libdir}/%{name}-x11.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/va
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc


%changelog
* Wed Jan 25 2017 wally <wally> 1.7.3-3.mga6
+ Revision: 1083422
- drop ancient obsoletes/conflicts
- obsolete merged pkgs

* Wed Jan 25 2017 zezinho <zezinho> 1.7.3-2.mga6
+ Revision: 1083412
- remove dummy driver path as it is no more built
- bundle all test encoders in one single package

* Fri Nov 11 2016 luigiwalser <luigiwalser> 1.7.3-1.mga6
+ Revision: 1066557
- 1.7.3

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.7.2-1.mga6
+ Revision: 1051255
- 1.7.2

* Wed Aug 10 2016 luigiwalser <luigiwalser> 1.7.1-1.mga6
+ Revision: 1045294
- 1.7.1

* Mon May 09 2016 luigiwalser <luigiwalser> 1.7.0-1.mga6
+ Revision: 1011487
- 1.7.0

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.6.2-1.mga6
+ Revision: 917789
- 1.6.2

* Tue Sep 29 2015 zezinho <zezinho> 1.6.1-1.mga6
+ Revision: 885166
- added jpegenc tool
- new version 1.6.1

* Fri Dec 05 2014 zezinho <zezinho> 1.4.1-1.mga5
+ Revision: 801615
- new version 1.4.1

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-3.mga5
+ Revision: 747199
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-2.mga5
+ Revision: 681835
- Mageia 5 Mass Rebuild

* Thu Jul 10 2014 luigiwalser <luigiwalser> 1.3.1-1.mga5
+ Revision: 651134
- 1.3.1
- add patch from upstream via fedora to fix firefox crash

* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-2.mga4
+ Revision: 531335
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 fwang <fwang> 1.2.1-1.mga4
+ Revision: 463126
- update file list
- new version 1.2.1
- cleanup spec

* Thu Jun 27 2013 tv <tv> 1.2.0-2.mga4
+ Revision: 447548
- split out new mpeg2enc

* Thu Jun 27 2013 tv <tv> 1.2.0-1.mga4
+ Revision: 447514
- new release

* Sun Mar 31 2013 colin <colin> 1.1.1-1.mga3
+ Revision: 406898
- Enable Wayland support - wayland-client libs are already pulled in by other packages
- New version: 1.1.1
- Add BR to restore EGL support
- Added support for (but did not enable) wayland
- Do not package test binaries

* Sat Jan 12 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 358317
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 tv <tv> 1.1.0-1.mga3
+ Revision: 304116
- fix group
- adjust file list
- no more libva-egl.so
- disable autoreconf
- rediff patch 0
- new release
- new release

* Mon Aug 06 2012 tv <tv> 1.0.16-1.mga3
+ Revision: 279016
- new release
- rediff patch 0
- new release

* Tue Dec 06 2011 tv <tv> 1.0.15-1.mga2
+ Revision: 177959
- i965 driver has been splitted out
- new release

* Tue Aug 30 2011 tmb <tmb> 1.0.14-1.mga2
+ Revision: 136699
- clean spec
- rediff P0
- update to 1.0.14
- drop merged patches

* Sun Apr 17 2011 tmb <tmb> 1.0.12-1.mga1
+ Revision: 87043
- add h.264 encoder support (disabled by default)
- dont install test programs (fedora)
- update to 1.0.12

  + ahmad <ahmad>
    - imported package libva


* Thu Aug 12 2010 Anssi Hannula <anssi@mandriva.org> 0.31.1.1.sds4-2mdv2011.0
+ Revision: 569195
- fix ldconfig warning

* Mon Jul 19 2010 Anssi Hannula <anssi@mandriva.org> 0.31.1.1.sds4-1mdv2011.0
+ Revision: 555026
- new version

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.31.1.1.sds3-1mdv2011.0
+ Revision: 551390
- use libva upstream major instead of changing it every release, since
  sds patches do not seem to currently break ABI compatibility
- new version
- split out i965 driver, vainfo, and libs with different majors

* Wed Feb 24 2010 Olivier Blin <oblin@mandriva.com> 0.31.0.1.sds10-1mdv2010.1
+ Revision: 510659
- put back sane buildroot
- package test tools
- remove hardcoded buildroot
- bump to sds10 (thanks Gwenole for the notification)

* Thu Jan 21 2010 Adam Williamson <awilliamson@mandriva.org> 0.31.0.1.sds9-1mdv2010.1
+ Revision: 494679
- new release 0.31.0-1sds9

* Thu Sep 03 2009 Adam Williamson <awilliamson@mandriva.org> 0.30.4.1.sds5-1mdv2010.0
+ Revision: 428878
- import libva

